/*****************************************************************************
 *
 *              SHT15.h -- Sensirion Temerature and Humidity Sensor
 *
 *****************************************************************************
 * FileName:        SHT15.h
 * Dependencies:
 * Processor:       PIC18
 * Compiler:        C18 02.20.00 or higher
 *
 * Linker:          MPLINK 03.40.00 or higher
 * Company:         None 
 *
 *
 *****************************************************************************
 * File Description:
 *
 *   This file provides configuration and basic hardware functionality for the 
 *   Big-Bang I2C "like protocol" of Sensirion Temperature and Humidity Sensor
 
 *
 * Change History:
 *  Rev   Date         Description
 *  0.1   12/30/2010    Initial revision (C18 only compatible)
 *****************************************************************************/

#ifndef _SHT15_PROFILE_H

    #define _SHT15_PROFILE_H
    /*********************************************************************/
    // Definitions
    /*********************************************************************/
	#define ACK 1
	#define noACK 0
	
	#define CHECK_TEMP  0b00000011
	#define CHECK_HUMD  0b00000101
	#define CHECK_STAT  0b00000111
	#define WRITE_STAT  0b00000110
    
	void sht15_reset(void);
	void sht15_read(unsigned char *, unsigned char *, unsigned char *);
	unsigned char sht15_send_byte(unsigned char);
	void sht15_start(void);
	void delay_ms(unsigned int);
	unsigned char s_write_statusreg(unsigned char);
	unsigned char s_read_byte(unsigned char);
	unsigned char s_read_statusreg(void);
    
#endif


